Page MenuHomePhabricator

Enable Visa, Mastercard, Amex, and JCB for Adyen in Ireland
Closed, ResolvedPublic1 Estimate Story Points

Description

Just need to add 'IE: true' to the mentioned card types in adyen_gateway/config/payment_submethods.yaml
Original description below

IE payment link (in Chrome) for Adyen - I tested by selecting payment type Visa, hit continue, but no card number box loaded while in Chrome irgo, could not enter card info and could not donate. Nothing happens after I "opt-in".

Please also note:
IE Link (in Safari) for Adyen - enter name and email and hit continue but nothing happens. I do not advance to payment page same as for Chrome.

I also tested IE link on my mobile and got the same result. I entered name and email but continue button remains greyed out.

Thank you!

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterAdd IE to Adyen form settings
mediawiki/extensions/DonationInterface : masterEnable Visa, Mastercard, Amex, and JCB for Adyen in Ireland

Event Timeline

EMartin created this task.Aug 16 2019, 5:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2019, 5:35 PM
EMartin updated the task description. (Show Details)Aug 16 2019, 6:28 PM
Ejegg added a subscriber: Ejegg.Aug 19 2019, 4:59 PM

Oh hey, looks like it's because we don't actually have any payment_submethods turned on for IE.

@EMartin, what cards should be enabled for Ireland?

IE = PP and Cards (vmaj).

Ejegg renamed this task from Adyen links testing issue to Enable Visa, Mastercard, Amex, and JCB for Adyen in Ireland.Aug 21 2019, 3:07 AM
Ejegg updated the task description. (Show Details)
Ejegg set the point value for this task to 1.
mepps added a subscriber: mepps.Aug 27 2019, 6:11 PM

Note: FR wants to do a test of adyen versus globalcollect and waiting on this is a minor blocker. It looks like it's a 1. @Ejegg do you know why this got prioritized for Sprint S?

Change 534867 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[mediawiki/extensions/DonationInterface@master] Enable Visa, Mastercard, Amex, and JCB for Adyen in Ireland

https://gerrit.wikimedia.org/r/534867

Change 534867 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Enable Visa, Mastercard, Amex, and JCB for Adyen in Ireland

https://gerrit.wikimedia.org/r/534867

Looks good! Just tried it and works for Ireland. Many thanks

XenoRyet closed this task as Resolved.Sep 10 2019, 7:37 PM

Change 537506 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add IE to Adyen form settings

https://gerrit.wikimedia.org/r/537506

Change 537506 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add IE to Adyen form settings

https://gerrit.wikimedia.org/r/537506